{% set style_jinja = "epijats/" ~ article_style ~ ".html.jinja" %}
{% from style_jinja import article_main_css_style, article_layout, link_fonts %}

{%- macro correspond() %}
  <button>💬&ensp;Correspond</button>
{% endmacro %}

{%- macro cite() %}
  <button>❞&ensp;Cite</button>
{% endmacro %}

{%- set website_hooks = {"correspond": correspond, "cite": cite} -%}

<!doctype html>
<html lang="en" class="webpaper">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ doc.title }}</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap-reboot.css" rel="stylesheet">
    <link rel="stylesheet" href="{{math_css_url}}">
    {{- link_fonts() }}
    {{- article_main_css_style() }}
    <style>
      :root {
        --pdf-icon-height: 48px;
      }
      body {
        min-height: 100vh;
        min-width: var(--min-body-width);
        display: flex;
        flex-direction: column;
        margin: 0;
        font-family: sans-serif;
      }
      body > header {
        display: flex;
        justify-content: center;
        padding: 8px;
        background-color: #eee;
        color: darkorange;
      }
      .article-wrapper {
        max-width: calc(72 * var(--ps-base-font-size));
        margin: 0 auto;
      }
      nav {
        padding: 24px 16px 16px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-bottom: 2px solid grey;
        margin-bottom: 4rem;
      }
      .pdf-link img {
        height: var(--pdf-icon-height);
      }
      button {
        padding: 0.25rem 1.5rem;
        margin-right: 1rem;
        margin-bottom: 1rem;
      }
      .article-buttons {
        margin-bottom: 2rem;
      }

      /* some browser CSS resetting from Bootstrap 5 */

      *, ::after, ::before {
        box-sizing: border-box;
      }
      h1, h2, h3, h4, h5, h6 {
        margin-top: 0;
        margin-bottom: .5rem;
      }
      p {
        margin-top: 0;
        margin-bottom: 1rem;
      }
    </style>
  </head>
  <body>
    <header>
      <h1>Hypothetical Website</h1>
    </header>
    <div class="article-band">
    <div class="article-wrapper">
      <nav>
        <div>
          Additional editions somewhere around here.
        </div>
        <div class="pdf-link">
          <a href="./article.pdf">
            <img src="../../images/PDF_file_icon.svg" alt="PDF file">
          </a>
        </div>
      </nav>
      <div class="eprint">
      {{- article_layout(doc, dsi_base_url, website_hooks) }}
      </div>
    </div><!--article-wrapper-->
    </div><!--article-band-->
  </body>
</html>
